<?php
ob_start();
require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include('includes/function.php');

$maindb = "brand";
$trandb = "debtran";
$formname = "Brand-Wise-Debit Note Register";
$file = "debbrreg.php";

$admin = $_SESSION["admin_" . $dbname];
$zdb = $_SESSION["zdbyear_" . $dbname];
$myyear = $_SESSION[$myyear];

mysqli_select_db($conn, $zdb);

if (isset($_POST["view"])) {
    $brand = $_POST[brand];
    $party = $_POST[party];
    $godown = $_POST[godown];
    $mtype = $_POST[mtype];
    $mfromdt = $_POST[frmdt];
    $mtodt = $_POST[todt];

    $partycond = "";
    $brokercond = "";
    $transportcond = "";
    $godowncond = "";
    $mtypecond = "";
    $brandcond = "";


    if (!empty($brand)) {
        $brandcond = " AND `code`='$brand' ";
        $brandcond1 = " AND b.`brand`='$brand' ";
    }

    if (!empty($party)) {
        $partycond = " AND a.`party`='$party' ";
    }

    if (!empty($godown)) {
        $godowncond = " AND a.`godown`='$godown' ";
    }

    if (!empty($mtype)) {
        $mtypecond = " AND a.`type`='$mtype' ";
    }

    $qrybrand = mysqli_query($conn, "SELECT * FROM brand WHERE name != '' $brandcond and code in 
                                     (SELECT b.brand FROM `debmain` a, `debtran` b WHERE a.vouchno = b.vouchno and
                                     a.`vouchdt` >= '$mfromdt' and a.`vouchdt` <= '$mtodt' $brandcond1 $partycond $godowncond $mtypecond) 
                                     order by name") or die(mysqli_error($conn));

    include("includes/linkshead.php");
    ?>
    </head>
    <body> 
        <div class="container">
            <div class="row">
                <?php include("includes/head_rep.php"); ?>
                <div class="col-lg-12 pad">
                    <table style="width:100%;background: white" class="table table-condensed table-hover">
                        <thead>
                            <tr style="height:10px;background-color: #1ABC9C">                            
                                <th>Quality</th>                                                       
                            </tr>
                        </thead>
                        <tbody>
                            <?php
                            $ctr = 0;
                            $grqty = 0;
                            $gramt = 0;
                            while ($fetbrand = mysqli_fetch_array($qrybrand)) {
                                $brcode = $fetbrand[code];
                                $ctr++;
                                $tqty = 0;
                                $tamt = 0;
                                Echo "<tr>";
                                Echo "<td colspan='7'>$fetbrand[name]</td>";
                                Echo "</tr>";


                                Echo "<tr style='height:10px;'>";
                                Echo "<td colspan='25'>";
                                Echo "<table style='width:100%;' class='table table-condensed table-hover'>";
                                Echo "<th style='background-color: #cccccc;width:10%;'>Date</th>";
                                Echo "<th style='background-color: #cccccc;width:8%;'>Invoice No.</th>";
                                Echo "<th style='background-color: #cccccc;width:27%;'>Partyname</th>";
                                Echo "<th style='background-color: #cccccc;width:25%;'>Itemname</th>";
                                Echo "<th style='background-color: #cccccc;width:10%;' class='numeric'>Qty.</th>";
                                Echo "<th style='background-color: #cccccc;width:10%;' class='numeric'>Rate</th>";
                                Echo "<th style='background-color: #cccccc;width:10%;' class='numeric'>Amount</th>";
                                Echo "<tr>";

                                $ctr2 = 0;
                                $qrydtl = mysqli_query($conn, "SELECT a.party, a.godown, a.type, a.invno, DATE_FORMAT(a.vouchdt,'%d-%m-%Y') as mydt,
                                        b.* FROM `debmain` a, `debtran` b WHERE a.vouchno = b.vouchno and 
                                        a.`vouchdt` >= '$mfromdt' and a.`vouchdt` <= '$mtodt' and b.brand = '$brcode' 
                                        $partycond $godowncond $mtypecond order by a.vouchdt, a.invno, b.itemcode") or die(mysqli_error($conn));

                                while ($mdebnote = mysqli_fetch_array($qrydtl)) {
                                    $getitem = mysqli_query($conn, "SELECT name FROM `item` WHERE `code`='$mdebnote[itemcode]'")or die(mysqli_error($conn));
                                    $mitem = mysqli_fetch_array($getitem);

                                    $getcust = mysqli_query($conn, "SELECT name FROM `accmast` WHERE `accode`='$mdebnote[party]'")or die(mysqli_error($conn));
                                    $cust = mysqli_fetch_array($getcust);

                                    $getmtype = mysqli_query($conn, "SELECT name FROM `type` WHERE `code`='$mdebnote[type]'")or die(mysqli_error($conn));
                                    $mtype = mysqli_fetch_array($getmtype);

                                    $ctr2++;
                                    $mamt = $mdebnote[invqty] * $mdebnote[rate];
                                    Echo "<tr>";
                                    Echo "<td>$mdebnote[mydt]</td>";
                                    Echo "<td>$mdebnote[invno]</td>";
                                    Echo "<td>$cust[name]</td>";
                                    Echo "<td>$mitem[name]</td>";
                                    Echo "<td class='numeric'>$mdebnote[invqty]</td>";
                                    Echo "<td class='numeric'>$mdebnote[rate]</td>";
                                    Echo "<td class='numeric'>" . number_format($mamt, 2) . "</td>";
                                    Echo "</tr>";
                                    $tqty = $tqty + $mdebnote[invqty];
                                    $tamt = $tamt + $mamt;

                                    $grqty = $grqty + $mdebnote[invqty];
                                    $gramt = $gramt + $mamt;
                                }
                                echo "<tr> ";
                                echo "<td style='width:10%;'></td>";
                                echo "<td style='width:10%;'></td>";
                                echo "<td style='width:30%;'></td>";
                                echo "<td style='width:20%;'><b >Brand Total</b></td>";
                                echo "<td align='right' style='width:10%;'><b>$tqty</b></td>";
                                echo "<td style='width:10%;'></td>";
                                echo "<td align='right' style='width:10%;'><b>" . number_format($tamt, 2) . "</b></td>";
                                echo "</tr>";
                            }
                            echo "<tr> ";
                            echo "<td style='width:10%;'></td>";
                            echo "<td style='width:10%;'></td>";
                            echo "<td style='width:30%;'></td>";
                            echo "<td style='width:20%;'><b >Grand Total</b></td>";
                            echo "<td align='right' style='width:10%;'><b>$grqty</b></td>";
                            echo "<td style='width:10%;'></td>";
                            echo "<td align='right' style='width:10%;'><b>" . number_format($gramt, 2) . "</b></td>";
                            echo "</tr>";
                            ?>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
        <?php include("includes/linksfoot.php"); ?>
    </body>
    </html>
    <?php
}
if (isset($_POST["excel"])) {
    $brand = $_POST[brand];
    $party = $_POST[party];
    $godown = $_POST[godown];
    $mtype = $_POST[mtype];
    $mfromdt = $_POST[frmdt];
    $mtodt = $_POST[todt];

    $partycond = "";
    $brokercond = "";
    $transportcond = "";
    $godowncond = "";
    $mtypecond = "";
    $brandcond = "";


    if (!empty($brand)) {
        $brandcond = " AND `code`='$brand' ";
        $brandcond1 = " AND b.`brand`='$brand' ";
    }

    if (!empty($party)) {
        $partycond = " AND a.`party`='$party' ";
    }

    if (!empty($godown)) {
        $godowncond = " AND a.`godown`='$godown' ";
    }

    if (!empty($mtype)) {
        $mtypecond = " AND a.`type`='$mtype' ";
    }

    $qrybrand = mysqli_query($conn, "SELECT * FROM brand WHERE name != '' $brandcond and code in 
                                     (SELECT b.brand FROM `salemain` a, `saletran` b WHERE a.vouchno = b.vouchno and
                                     a.`vouchdt` >= '$mfromdt' and a.`vouchdt` <= '$mtodt' $brandcond1 $partycond $godowncond $mtypecond) 
                                     order by name") or die(mysqli_error($conn));


    $contents.="Sr,Type,Invoice No.,Date,Supplier,Amount,Discount,Freight,Qty.,Net Amount\n";

    $ctr = 0;
    $subtot = 0;
    $totdisc = 0;
    $totfr = 0;
    $totqty1 = 0;
    $totnet = 0;


    while ($pmain = mysqli_fetch_array($getpmain)) {
        $getmtype = mysqli_query($conn, "SELECT name FROM `type` WHERE `code`='$pmain[type]'")or die(mysqli_error($conn));
        $mtype = mysqli_fetch_array($getmtype);

        $getcustomer = mysqli_query($conn, "SELECT name FROM `accmast` WHERE `accode`='$pmain[party]'")or die(mysqli_error($conn));
        $mcust = mysqli_fetch_array($getcustomer);

        $getmqty = mysqli_query($conn, "SELECT SUM(qty)as totqty FROM `$trandb` WHERE `vouchno`='$pmain[VOUCHNO]'")or die(mysqli_error($conn));
        $mqty = mysqli_fetch_array($getmqty);
        $ctr++;

        $mctr = $ctr;
        $mtype = $mtype[name];
        $minvno = $pmain[invno];
        $mmydt = $pmain[mydt];
        $mname = $mcust[name];
        $msubtotal = $pmain[subtotal];
        $mdiscount = $pmain[discount];
        $mfreight = $pmain[freight];
        $mtotqty = $pmain[totqty];
        $mnetamt = $pmain[netamt];


        $contents.=$mctr . ",";
        $contents.=$mtype . ",";
        $contents.=$minvno . ",";
        $contents.=$mmydt . ",";
        $contents.=$mname . ",";
        $contents.=$msubtotal . ",";
        $contents.=$mdiscount . ",";
        $contents.=$mfreight . ",";
        $contents.=$mtotqty . ",";
        $contents.=$mnetamt . "\n";

        $subtot = $subtot + $pmain[subtotal];
        $totdisc = $totdisc + $pmain[discount];
        $totfr = $totfr + $pmain[freight];

        $totnet = $totnet + $pmain[netamt];

        if ($_POST["dtype"] == 2) {
            $contents.="Sr,Brand,Item Name,Taka,Qty.,Tot. Qty.,Flag,Flag Qty.,Inv. Qty.,Rate,Amount\n";

            $ctr2 = 0;
            $totqty = 0;
            $totamt = 0;
            $totinv = 0;
            $totdtqty = 0;
            $totdtinv = 0;
            $totdtamt = 0;
            $gettran = mysqli_query($conn, "SELECT * FROM `$trandb` WHERE `vouchno`='$pmain[vouchno]'")or die(mysqli_error($conn));
            while ($tran = mysqli_fetch_array($gettran)) {

                $getbrand = mysqli_query($conn, "SELECT * FROM `brand` WHERE `code`='$tran[brand]'")or die(mysqli_error($conn));
                $mbrand = mysqli_fetch_array($getbrand);

                $getitem = mysqli_query($conn, "SELECT * FROM `item` WHERE `code`='$tran[itemcode]'")or die(mysqli_error($conn));
                $mitem = mysqli_fetch_array($getitem);

                $ctr2++;

                $ctr2;
                $mmbname = $mbrand[name];
                $mminame = $mitem[name];
                $mmtaka = $tran[taka];
                $mmqty = $tran[qty];
                $mmtotqty = $tran[totqty];
                $mmflag = $tran[flag];
                $mmflagqty = $tran[flagqty];
                $mminvqty = $tran[invqty];
                $mmrate = $tran[rate];
                $mmamount = $tran[amount];

                $contents.=$ctr2 . ",";
                $contents.=$mmbname . ",";
                $contents.=$mminame . ",";
                $contents.=$mmtaka . ",";
                $contents.=$mmqty . ",";
                $contents.=$mmtotqty . ",";
                $contents.=$mmflag . ",";
                $contents.=$mmflagqty . ",";
                $contents.=$mminvqty . ",";
                $contents.=$mmrate . ",";
                $contents.=$mmamount . "\n";

                $totdtqty = $totdtqty + $tran[totqty];
                $totdtinv = $totdtinv + $tran[invqty];
                $totdtamt = $totdtamt + $tran[amount];
                $totqty1 = $totqty1 + $tran[totqty];
            }
        }
//        if ($_POST["dtype"] == 2) {
//            echo "<tr> ";
//            echo "<td></td>";
//            echo "<td></td>";
//            echo "<td></td>";
//            echo "<td></td>";
//            echo "<td><h4><b>Total Qty.</b></h4></td>";
//            echo "<td align='right' id='font'><h4><b>$totdtqty</b></h4></td>";
//            echo "<td></td>";
//            echo "<td align='right' id='font'><h4><b>$totdtinv</b></h4></td>";
//            echo "<td></td>";
//            echo "<td></td>";
////                                    echo "<td align='right' id='font'><h4><b>$totdtamt</b></h4></td>";
//            echo "</tr>";
//        }
    }

    $contents.="" . ",";
    $contents.="" . ",";
    $contents.="" . ",";
    $contents.="" . ",";
    $contents.="" . ",";
    $contents.="" . "Total" . ",";
    $contents.= number_format($subtot, 2, '.', '') . ",";
    $contents.= number_format($totdisc, 2, '.', '') . ",";
    $contents.= number_format($totqty1, 2, '.', '') . ",";
    $contents.= number_format($totnet, 2, '.', '') . "\n";


    $contents = strip_tags($contents);

    if ($_POST["dtype"] == 1) {
        header("Content-Disposition: attachment; filename=$formname" . "_Summary" . date('d-m-Y') . ".csv");
        print $contents;
    } else {
        header("Content-Disposition: attachment; filename=$formname" . "_Detail" . date('d-m-Y') . ".csv");
        print $contents;
    }
}
?>